Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultNonMedicinalProductType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.ConsultNonMedicinalProductType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultNonMedicinalProductType extends Object implements Serializable

Java class for ConsultNonMedicinalProductType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultNonMedicinalProductType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="Category">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="S"/>
                   <enumeration value="H"/>
                   <enumeration value="D"/>
                   <enumeration value="C"/>
                   <enumeration value="E"/>
                   <enumeration value="M"/>
                   <enumeration value="B"/>
                   <enumeration value="I"/>
                   <enumeration value="A"/>
                   <enumeration value="R"/>
                   <enumeration value="F"/>
                   <enumeration value="G"/>
                   <enumeration value="O"/>
                   <enumeration value="T"/>
                   <enumeration value="K"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="CommercialStatus">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="M"/>
                   <enumeration value="S"/>
                   <enumeration value="I"/>
                   <enumeration value="O"/>
                   <enumeration value="U"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Producer" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="Distributor" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
           <attribute name="Code" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType" />
           <attribute name="CodeType" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeTypeType" default="CNK" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultNonMedicinalProductType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory()`
  "S" = spécialité "H" = homéopathie "D" = diététique - nutrition - alimentation "C" = cosmétique "E" = hygiène "M" = matière première "B" = bandage et pansement "I" = stomie et incontinence "A" = accessoire "R" = réactif "F" = pesticide à usage agricole "G" = dispositif médical "O" = autre "T" = moyen diagnostique "K" = biocide
  `String`
  `getCode()`
  Non Medicinal Products are uniquely identified by a CNK code.
  `String`
  `getCodeType()`
  Code Type for Non Medicinal Products is always CNK.
  `String`
  `getCommercialStatus()`
  "M" = sur le marché "S" = retiré du marché "I" = interdit par A.R.
  `ConsultTextType`
  `getDistributor()`
  Name of the distributor of the product
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getName()`
  Gets the value of the name property.
  `ConsultTextType`
  `getProducer()`
  Name of the producer of the product
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setCategory(String value)`
  Sets the value of the category property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setCodeType(String value)`
  Sets the value of the codeType property.
  `void`
  `setCommercialStatus(String value)`
  Sets the value of the commercialStatus property.
  `void`
  `setDistributor(ConsultTextType value)`
  Sets the value of the distributor property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.
  `void`
  `setProducer(ConsultTextType value)`
  Sets the value of the producer property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultNonMedicinalProductType

    public ConsultNonMedicinalProductType()

- ## Method Details

  - ### getName

    public ConsultTextType getName()
    Gets the value of the name property.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getCategory

    public String getCategory()
    "S" = spécialité "H" = homéopathie "D" = diététique - nutrition - alimentation "C" = cosmétique "E" = hygiène "M" = matière première "B" = bandage et pansement "I" = stomie et incontinence "A" = accessoire "R" = réactif "F" = pesticide à usage agricole "G" = dispositif médical "O" = autre "T" = moyen diagnostique "K" = biocide
    Returns:
      possible object is `String`

  - ### setCategory

    public void setCategory(String value)
    Sets the value of the category property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCategory()`

  - ### getCommercialStatus

    public String getCommercialStatus()
    "M" = sur le marché "S" = retiré du marché "I" = interdit par A.R. ou A.M. "O" = suspendu par A.M. ou A.R. "U" = coffret d'urgence et pas sur le marché belge
    Returns:
      possible object is `String`

  - ### setCommercialStatus

    public void setCommercialStatus(String value)
    Sets the value of the commercialStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCommercialStatus()`

  - ### getProducer

    public ConsultTextType getProducer()
    Name of the producer of the product
    Returns:
      possible object is `ConsultTextType`

  - ### setProducer

    public void setProducer(ConsultTextType value)
    Sets the value of the producer property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getProducer()`

  - ### getDistributor

    public ConsultTextType getDistributor()
    Name of the distributor of the product
    Returns:
      possible object is `ConsultTextType`

  - ### setDistributor

    public void setDistributor(ConsultTextType value)
    Sets the value of the distributor property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getDistributor()`

  - ### getCode

    public String getCode()
    Non Medicinal Products are uniquely identified by a CNK code.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getCodeType

    public String getCodeType()
    Code Type for Non Medicinal Products is always CNK. Code Type is present in the KeyType for uniformity with other SAM components.
    Returns:
      possible object is `String`

  - ### setCodeType

    public void setCodeType(String value)
    Sets the value of the codeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCodeType()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`